get__v2_stats_storage_breakdown_by
GET /v2/stats/storage/breakdown/{by}
Get Storage Gateway Breakdown
Storage breakdown by dimension. Use this for breakdowns other than providers.
Parameters
scope
query
string
true
Scope level: org, workspace, or repo
id
query
string
false
Required when scope is workspace or repo
window
query
string
true
Time window, e.g. 24h, 7d, 30d
timeBucketSize
query
string
false
Time grouping size, e.g., 1h, 1d
by
path
string
true
The dimension to group by: workspaces, repos, buckets, nodes
includeSeries
query
boolean
false
Include time-series for each entity
limit
query
integer
false
Max entities to return
offset
query
integer
false
Offset for pagination
bucketId
query
string
false
Filter source dataset by Storage Bucket ID
apiKeyId
query
string
false
Filter source dataset by Repo API Key ID
TypeScript Client Library
// Using the Flashgate TypeScript client
import { FlashgateClient } from '@flashgatetech/flashgateclient';
const client = new FlashgateClient({
accessToken: 'your-access-token'
});
try {
const result = await client.getStorageGatewayBreakdown('dimension_name', {
scope: 'org',
id: 'org-id',
window: '24h'});
console.log('Get Storage Gateway Breakdown:', result);
} catch (error) {
console.error('Failed to retrieve get storage gateway breakdown:', error);
}Code Samples
Example responses 200 Response
Responses
Response Schema
Status Code 200
» success
boolean
true
none
Indicates if the request was successful
» meta
object
true
none
Metadata for the response
» summary
object
true
none
Statistical summary
» entities
[object]
true
none
Array of breakdown entities
»» entityId
string
true
none
The dimension ID
»» entityName
string
false
none
The dimension Name (if applicable)
»» totals
object
true
none
Total metrics for this entity
»»» uplBytes
integer
true
none
Uploaded bytes
»»» dwlBytes
integer
true
none
Downloaded bytes
»»» sizeChange
integer
true
none
Net size change
»»» latencyMs
number
true
none
Average latency in ms
»»» requests
integer
true
none
Total requests
»» series
[object]
false
none
Time-series data for this entity (if requested)
»»» ts
integer
true
none
Unix timestamp
»»» uplBytes
integer
true
none
Uploaded bytes
»»» dwlBytes
integer
true
none
Downloaded bytes
»»» sizeChange
integer
true
none
Net size change
»»» latencyMs
number
true
none
Average latency in ms
»»» requests
integer
true
none
Total requests
Status Code 400
» success
boolean
true
none
Always false for error responses
» message
string
true
none
Error message
Status Code 500
» success
boolean
true
none
Always false for error responses
» message
string
true
none
Error message
Last updated
Was this helpful?